Sedna compatible

Posted on September 09, 2009

Snow Leopard

The current version of ~sedna presenter (2.1) is NOT compatible with the new OS Snow Leopard. We are working on this and expect to release an update to ~sedna presenter within a few weeks. Until then please do not upgrade your Macs that run Presenter Player or Presenter Scheduler. We will keep you posted !